// 英文分类
import http from "@/api/http.js"

/**
 * 英文分类
 * @param {*} params CurrentIndex PageSize KeyWord
 * @returns 
 */
export const classifyList = params => {
  return http.get('/english_report/classify/list',params)
}

/**
 * 新增分类
 * @param {*} params ClassifyName ParentId Sort
 * @returns 
 */
export const classifyAdd = params => {
  return http.get('/english_report/classify/add',params)
}

/**
 * 编辑分类
 * @param {*} params ClassifyName ParentId Sort ClassifyId
 * @returns 
 */
export const classifyEdit = params => {
  return http.get('/english_report/classify/edit',params)
}

/**
 * 删除分类
 * @param {*} params ClassifyId  ParentId
 * @returns 
 */
export const classifyDel = params => {
  return http.get('/english_report/classify/delete',params)
}

/**
 * 一级分类
 * @param {*} params CurrentIndex  PageSize
 * @returns 
 */
export const classifyOne = params => {
  return http.get('/english_report/classify/first/list',params)
}

/**
 * 英文分类权限配置
 */
export const setClassifyVariety=params=>{
  return http.post('/english_classify/permission/edit',params)
}

